Bug 533594 - Review Request: Pootle - Localization and translation management web application
Summary: Review Request: Pootle - Localization and translation management web application
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Fraser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-07 16:16 UTC by Dwayne Bailey
Modified: 2010-01-27 01:09 UTC (History)
3 users (show)

Fixed In Version: 2.0.1-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-27 01:09:17 UTC
davidf: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Dwayne Bailey 2009-11-07 16:16:25 UTC
Spec URL: http://dwayne.fedorapeople.org/pootle-1.3.0-0.3.beta4.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-1.3.0-0.3.beta4.fc11.src.rpm

You will need this version of the Translate Toolkit which is currently in F11 updates-testing:
https://admin.fedoraproject.org/updates/F11/FEDORA-2009-11035
to test v1.3 of Pootle.

Description: Localization and translation management web application

Pootle is web application for managing distributed or crowdsourced
translation.

It's features include::
  * Translation of Gettext PO and XLIFF files.
  * Submitting to remote version control systems (VCS).
  * Managing groups of translators
  * Online webbased or offline translation
  * Quality checks

Comment 1 Dwayne Bailey 2009-11-27 16:01:02 UTC
Updated to a newer release candidate:

Spec URL: http://dwayne.fedorapeople.org/pootle-2.0.0-0.1.rc2.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-2.0.0-0.1.rc2.fc11.src.rpm

Comment 2 Dwayne Bailey 2009-12-08 15:39:18 UTC
Updated to the final Pootle release:

Spec URL: http://dwayne.fedorapeople.org/pootle-2.0.0-1.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-2.0.0-1.fc12.src.rpm

Comment 3 Dwayne Bailey 2010-01-14 12:55:23 UTC
Updated for a bugfix Pootle release:

Spec URL: http://dwayne.fedorapeople.org/pootle-2.0.1-1.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-2.0.1-1.fc12.src.rpm

The packaging has not changed but Pootle has had the following bugs fixed:

14 more languages have been fully translated (Akan, Belarusian, Catalan, Valencian Catalan, Chinese, Finnish, French, German, Italian, Japanese, Northern Sotho, Polish and Brazilian Portuguese).with two more languages nearly done (Taiwanese Chinese and Swedish).

Highlighted improvements:
 - Turn conflicts into suggestions when updating from version control
 - refresh_stats will add cached statistics to memcached if possible making subsequent visits to front page much faster
 - Pootle works with symlinked files again
 - minor fixes to XLIFF support and permissions

Comment 4 David Fraser 2010-01-14 13:16:21 UTC
# Output of rpmlint on specfile (run on Fedora 10):
[build@megye pootle]$ rpmlint pootle-2.0.1-1.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
# Output of rpmlint on source rpm (run on Fedora 10):
[build@megye pootle]$ rpmlint pootle-2.0.1-1.fc12.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 David Fraser 2010-01-14 13:56:57 UTC
Checking Packaging Guidelines, can you address the following:
 * Instead of using /usr/sbin etc in the %install section, you should use {%_sbindir} - see http://fedoraproject.org/wiki/Packaging:RPMMacros

Checking Packaging Guidelines, can you verify/comment on the following:
 * BuildRoot, and rm -rf ${RPM_BUILD_ROOT} are not required in Fedora 10 and higher, but you can keep them in if you need to for earlier versions
 * The source tarball includes translations in separate po and mo directories - the Packaging Guidelines say "Keep in mind that usage of %find_lang in packages containing locales is a MUST." - can you comment on why they are just copied with the install
 * I'm curious as to why you cp -p %{SOURCE2} . instead of to a target directory - everything else is copied to the build root

Checked the Packaging Guidelines, no change needed:
 * Verified that all the requirements are in fact necessary
 * Verified that config files are marked appropriately

Comment 6 David Fraser 2010-01-14 14:01:56 UTC
That covers all the MUST items in the ReviewGuidelines; I'll check SHOULD when the above are addressed

Comment 7 Dwayne Bailey 2010-01-14 14:43:04 UTC
(In reply to comment #5)
> Checking Packaging Guidelines, can you address the following:
>  * Instead of using /usr/sbin etc in the %install section, you should use
> {%_sbindir} - see http://fedoraproject.org/wiki/Packaging:RPMMacros

I converted these all to macros in the new spec

> Checking Packaging Guidelines, can you verify/comment on the following:
>  * BuildRoot, and rm -rf ${RPM_BUILD_ROOT} are not required in Fedora 10 and
> higher, but you can keep them in if you need to for earlier versions

I will want to package for EL5 so I'd rather leave this in now.

All there references I can find include rm -rf in both the %install and %clean sections as I have.

>  * The source tarball includes translations in separate po and mo directories -
> the Packaging Guidelines say "Keep in mind that usage of %find_lang in packages
> containing locales is a MUST." - can you comment on why they are just copied
> with the install

The mo files for Django are stored in /usr/share/pootle/mo instead of the more standard /usr/share/locale/ this is an issue with Django I'm afraid.  We don't mess with these as we don't need them to be specifically platform compiled as they will work correctly with Django, so no need to compile or recompile.

The po files are stored in /var/lib/pootle/po/pootle as this allows them to be translated live as a demo of how Pootle can be used to translate.  Again a non standard location but these are at least in the correct area for translations.

>  * I'm curious as to why you cp -p %{SOURCE2} . instead of to a target
> directory - everything else is copied to the build root

I need this available for the %files section to be added to docs.  I don't want into installed into the BuildRoot

I'll upload a new spec file, thanks a mill for the review.

Comment 8 Dwayne Bailey 2010-01-14 14:51:47 UTC
Resolves issues identified in comment 5:

Spec URL: http://dwayne.fedorapeople.org/pootle-2.0.1-2.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-2.0.1-2.fc12.src.rpm

Comment 9 Dwayne Bailey 2010-01-14 15:09:42 UTC
Resolves issues identified in IRC, version number unchanged:

Spec URL: http://dwayne.fedorapeople.org/pootle-2.0.1-2.spec
SRPM URL: http://dwayne.fedorapeople.org/pootle-2.0.1-2.fc12.src.rpm  

* Use macros in %files
* Use %global instead of %define for fullname

Comment 10 David Fraser 2010-01-14 20:26:30 UTC
Great, passes review

Comment 11 Dwayne Bailey 2010-01-15 07:17:16 UTC
New Package CVS Request
=======================
Package Name: pootle
Short Description: Localization and translation management web application
Owners: dwayne
Branches: F-12 EL-5
InitialCC:

Comment 12 Jason Tibbitts 2010-01-15 19:20:06 UTC
I see some issues with this ticket:

It's currently not assigned to anyone.  If you reviewed it, please follow https://fedoraproject.org/wiki/Package_Review_Process.

I can't understand how the Fedora Review flag has been set.  As far as I can see, the only Fedora account matching "David Fraser" is user davidfraser, who is not a member of the packager group and thus should not be able to set the fedora-review flag (and who cannot approve packages).

Could someone explain what's up, and then reset the fedora-cvs flag once that's been worked out?

Comment 13 Dwayne Bailey 2010-01-15 21:06:43 UTC
The review flag was set by davidf (not davidfraser) who's a member of packager group.

I'm re-enabling the CVS request and will do the assignment for David if that's OK.

Comment 14 Jason Tibbitts 2010-01-16 00:53:20 UTC
CVS done (by process-cvs-requests.py).

Comment 15 David Fraser 2010-01-17 18:30:15 UTC
(In reply to comment #12)
> I see some issues with this ticket:
> 
> It's currently not assigned to anyone.  If you reviewed it, please follow
> https://fedoraproject.org/wiki/Package_Review_Process.
> 
> I can't understand how the Fedora Review flag has been set.  As far as I can
> see, the only Fedora account matching "David Fraser" is user davidfraser, who
> is not a member of the packager group and thus should not be able to set the
> fedora-review flag (and who cannot approve packages).
> 
> Could someone explain what's up, and then reset the fedora-cvs flag once that's
> been worked out?    

Just to explain why this didn't get assigned to me - I chose status "Assigned" thinking that that would automatically set me as the Assignee and forgot to check. Sorry.
And I am user davidf, not davidfraser (https://admin.fedoraproject.org/accounts/user/view/davidf shows my email address that corresponds to this bugzilla account) - but that did appear with the fedora-cvs flag when I set it so should have been clear

Comment 16 Fedora Update System 2010-01-17 20:46:41 UTC
pootle-2.0.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pootle-2.0.1-2.fc12

Comment 17 Fedora Update System 2010-01-19 00:55:58 UTC
pootle-2.0.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pootle'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0703

Comment 18 Fedora Update System 2010-01-27 01:09:11 UTC
pootle-2.0.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.